# Create a user

Adds a new user to your account. You must provide the user’s name, email address, and their role ID.

Endpoint: POST /users
Version: 1.0.0
Security: basicAuth

## Request fields (application/json):

  - `user_name` (string, required)
    Example: "Abby Example"

  - `user_email` (string, required)
    Example: "abby+example@wearedom.com"

  - `role_id` (string, required)
    Role assigned to the user:
- "1" = User
- "2" = Admin
- "3" = Super-Admin
    Enum: "1", "2", "3"

## Response 200 fields (application/json):

  - `http` (integer)
    Example: 200

  - `message` (string)
    Example: "Abby Example has been added to your user list."

  - `href` (string)
    Example: "https://api.signable.co.uk/v1/users/837146"

  - `user_id` (string)
    Example: "837146"

  - `role_id` (string)
    Role assigned to the user:
- "1" = User
- "2" = Admin
- "3" = Super-Admin
    Enum: "1", "2", "3"

  - `user_name` (string)
    Example: "Abby Example"

  - `user_email` (string)
    Example: "abby+example@wearedom.com"

  - `user_added` (string)
    Example: "2025-07-07T08:06:49+0000"


